Bug 52476 - IBM ThinkPad T20/T21 will not susspend with AC power connected
IBM ThinkPad T20/T21 will not susspend with AC power connected
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-23 23:00 EDT by Scott Russell
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-15 10:00:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Russell 2001-08-23 23:00:33 EDT
Description of Problem:
-----------------------

IBM ThinkPad T20/T21 will not suspend when the AC is connected. This is
tested by pressing FN+F4 or closing the LCD. If the AC is disconnected then
the ThinkPad will properly suspend when pressing FN+F4 or closing the LCD. 

The suspend with AC power feature is needed to 'warm swap' the device bay.
(For exmaple to exchange floppy for CDROM). Because the the ThinkPad will
not susspend unless the AC Power is removed it makes it difficult to swap
devices in the bay.

All current BIOS updates have been applied. Bios settings are system
defaults. Red Hat 7.2 (Roswell 2 / BETA4 / RC1) stock laptop install using
the i686 kernel. 

Only the PCMCIARESTART=YES option was changed in /etc/sysconfig/apmd. All
other APM features are standard from the install.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
apmd-3.0final-34
kernel-2.4.7-2
kernel-headers-2.4.7-2
kernel-pcmcia-cs-3.1.27-7

How Reproducible: 100%

Steps to Reproduce:
-------------------

1. Boot system into init 5 with netowrk running / configured
2. Leave AC power connected.
3. Press FN+f4 on keyboard. If things work proper TP will susspend and the
"moon led" will light up.

Actual Results:
---------------

The ThinkPad does not susspend. One beep, screen blanks, a second beep,
screen comes back on. (1-2 seconds start to finish) Nothing is logged in
/var/log/messages (Can we enable debug or anything?)

Expected Results:
-----------------
The ThinkPad should susspend. "Moon LED" lights up.

Additional Information:
-----------------------

I have one wvlan_cs adapter in slot 0. Leaving the AC connected, if I stop
the network and use cardctl to eject the device before I press FN+F4 to
suspend the ThinkPad then it *works*. Only if the card is active in the
PCMCIA slot will the ThinkPad not suspend. I will try with a PCMCIA 56K
modem later on tonight to ses if the problem changes any.
Comment 1 Scott Russell 2001-08-23 23:51:17 EDT
Couldn't find 56K modem. Found PCMCIA compact flash card and retested above
problem. Same results. It did not matter if I used the wireless network card or
the compact flash card. If a card is in either slot 0 or slot 1 of the system
and it is not ejected first with cardctrl then the ThinkPad will not susspend
when pressing FN+F4 while the AC is connected.
Comment 2 Scott Russell 2001-08-23 23:52:12 EDT
Updated to hotplug-2001_04_24-10 and kernel-pcmcia-cs-3.1.27-9
 and initscripts 6.26-1 for another bug test. Retested this bug. Same results.
These updates did not change the problem.
Comment 3 Arjan van de Ven 2001-08-26 08:51:40 EDT
apm --suspend doesn't work either ?
If that works, we need to sacrifice a few chickens and maybe talk with some
bios engineers. (or was it the other way around?)
Comment 4 Scott Russell 2001-08-27 10:02:27 EDT
I'll be damned. apm -s works. Good good. Now why doesn't it work by doing FN+F4?
 Hmm.. You get the chickens and tell me if I need a bios engineer. We'll
sacrofice them all and hope the problem gets fixed.
Comment 5 Arjan van de Ven 2001-08-27 10:08:51 EDT
Ok... some IBM laptops have a bios setting to enable/disable the suspend key 
when on AC. I'm assuming yours doesn't; but whatever the others do needs to be 
done to this laptop too....

I wonder if the bios sends the apm request to the kernel condition on AC status.
BIOS folks might be able to answer that without even having to look at the code.
Comment 6 Scott Russell 2002-03-23 10:51:55 EST
Dead issue. Skipjack public beta is out. Will retest this problem in skipjack.
Let's close this for 7.2. If we find fixes in skipjack maybe Red Hat can back
port them to 7.x. :)

Note You need to log in before you can comment on or make changes to this bug.